// $Id: TXXXProc.h 3298 2021-07-29 08:06:41Z linev $
//-----------------------------------------------------------------------
//       The GSI Online Offline Object Oriented (Go4) Project
//         Experiment Data Processing at EE department, GSI
//-----------------------------------------------------------------------
// Copyright (C) 2000- GSI Helmholtzzentrum fuer Schwerionenforschung GmbH
//                     Planckstr. 1, 64291 Darmstadt, Germany
// Contact:            http://go4.gsi.de
//-----------------------------------------------------------------------
// This software can be used under the license agreements as stated
// in Go4License.txt file which is part of the distribution.
//-----------------------------------------------------------------------

#ifndef TEXAMPLE1STEPPROCESSOR_H
#define TEXAMPLE1STEPPROCESSOR_H

#include "TGo4EventProcessor.h"

class TXXXControl;
class TProfile;
class TProfile2D;

class TXXXProc : public TGo4EventProcessor {
   public:
      TXXXProc() ;
      TXXXProc(const char* name);
      virtual ~TXXXProc() ;

      Bool_t BuildEvent(TGo4EventElement* target); // event processing function

 private:
      TH1           *fCr1Ch[8];
      TH1           *fCr2Ch[8];
      TH2           *fCr1Ch1x2;
      TH1           *fHis1;
      TH1           *fHis1gate;
      TH1           *fHis2;
      TH1           *fHis2gate;
      TGo4WinCond   *fconHis1;
      TGo4WinCond   *fconHis2;
      TGo4PolyCond  *fPolyCon;
      TGo4CondArray *fConArr;
      TXXXControl   *fControl;
      TGo4Picture   *fPicture;
      TGo4Picture   *fcondSet;
      TProfile      *fProfile;
      TProfile2D    *fProfile2D;

   ClassDef(TXXXProc,1)
};

#endif //TEXAMPLE1STEPPROCESSOR_H

