// $Id: tqrootdialog.h 2627 2019-10-01 08:02:45Z linev $
//-----------------------------------------------------------------------
//       The GSI Online Offline Object Oriented (Go4) Project
//         Experiment Data Processing at EE department, GSI
//-----------------------------------------------------------------------
// Copyright (C) 2000- GSI Helmholtzzentrum fuer Schwerionenforschung GmbH
//                     Planckstr. 1, 64291 Darmstadt, Germany
// Contact:            http://go4.gsi.de
//-----------------------------------------------------------------------
// This software can be used under the license agreements as stated
// in Go4License.txt file which is part of the distribution.
//-----------------------------------------------------------------------

//Author : Denis Bertini 01.11.2000

/**************************************************************************
* Copyright (C) 2000- Gesellschaft f. Schwerionenforschung, GSI           *
*                     Planckstr. 1, 64291 Darmstadt, Germany              *
*                     All rights reserved.                                *
* Contact:            http://go4.gsi.de                                   *
*                                                                         *
* This software can be used under the license agreements as stated in     *
* Go4License.txt file which is part of the distribution.                  *
***************************************************************************/

#ifndef TQROOTDIALOG_H
#define TQROOTDIALOG_H

#include "qvbox.h"
#include "qptrlist.h"

class TObject;
class TMethod;
class TCanvas;
class QLineEdit;
class TQCanvasMenu;

/**
* TQRootDialog
*
* A TQRootDialog is used to prompt for the arguments of an object's
* member function. It is called by the TQCanvasMenu class
*
* @see TQCanvasMenu, QList, QVBox, TMethod, TCanvas
*
*
* @authors Denis Bertini <d.bertini(at)gsi.de>
* @version 2.0
*/


class TQRootDialog: public QVBox {
   Q_OBJECT

   public:
      TQRootDialog(QWidget *parent, const char *name, WFlags f=0,
                   TObject *obj=0,TMethod *meth=0);

      virtual ~TQRootDialog();

      void add(const char* argname, const char* value, const char* type);
      void popup();
      void setTCanvas(TCanvas* aCanvas) { fCurCanvas=aCanvas; }
      void SetCanMenu(TQCanvasMenu* menu) { fMenu = menu; }

   public slots:
       void receive(); // to be replaced
       void executeMethod();

   protected:
       void closeEvent( QCloseEvent* ce);

   protected:
       QVBox*           fArgBox;
       QPtrList<QLineEdit> aList;
       TObject*         fCurObj;
       TObject*         fPrevObj;
       TMethod*         fCurMethod;
       TMethod*         fPrevMethod;
       TCanvas*         fCurCanvas;
       QWidget*         fParent;
       TQCanvasMenu*    fMenu;
};

#endif
